public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Brian Evans" <grknight@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-php/PEAR-Exception/
Date: Mon, 22 Mar 2021 12:58:22 +0000 (UTC)	[thread overview]
Message-ID: <1616417834.353d2a156672c94d63678eb7523cdc766897fa8c.grknight@gentoo> (raw)

commit:     353d2a156672c94d63678eb7523cdc766897fa8c
Author:     Brian Evans <grknight <AT> gentoo <DOT> org>
AuthorDate: Mon Mar 22 12:57:14 2021 +0000
Commit:     Brian Evans <grknight <AT> gentoo <DOT> org>
CommitDate: Mon Mar 22 12:57:14 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=353d2a15

dev-php/PEAR-Exception: Version bump for 1.0.2

Signed-off-by: Brian Evans <grknight <AT> gentoo.org>

 dev-php/PEAR-Exception/Manifest                    |  1 +
 dev-php/PEAR-Exception/PEAR-Exception-1.0.2.ebuild | 29 ++++++++++++++++++++++
 2 files changed, 30 insertions(+)

diff --git a/dev-php/PEAR-Exception/Manifest b/dev-php/PEAR-Exception/Manifest
index 56d9fbc6fd8..b1265e4460f 100644
--- a/dev-php/PEAR-Exception/Manifest
+++ b/dev-php/PEAR-Exception/Manifest
@@ -1 +1,2 @@
 DIST PEAR_Exception-1.0.0.tgz 5270 BLAKE2B f6f6874083fcef2453e1d07e1ee3e900e4f7d18eca8e9a9eda9891492dd3fc1e31eb13944031e82044f976f1070463a3b099a8223d2dabb2da109bb123997f5a SHA512 f2078186fdad6c6ca59ac462a24f7f9689bea08d30f786acb7779d52cd433e490c752ba0a263067d869151b0c051cded327cb3477a039c5de68c854bff002b58
+DIST PEAR_Exception-1.0.2.tgz 5458 BLAKE2B f6e7bc452729ec4419650a0fbd6ef091dd5ec1b91804e1b59c598e44d3c04bf043084e385daa56fd1f6c012090010490922627a465061fe57ef9d74a49960e91 SHA512 80022c03bb665307a9feea88312301c86c903c5b8737559f59fc0028a08976976dd21e19a7dc805c27ec41f90ebd310012cd56ba2c2c006cf0df7cea69323a91

diff --git a/dev-php/PEAR-Exception/PEAR-Exception-1.0.2.ebuild b/dev-php/PEAR-Exception/PEAR-Exception-1.0.2.ebuild
new file mode 100644
index 00000000000..2a4a155c793
--- /dev/null
+++ b/dev-php/PEAR-Exception/PEAR-Exception-1.0.2.ebuild
@@ -0,0 +1,29 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+MY_PN="${PN/-/_}"
+MY_P="${MY_PN}-${PV}"
+
+DESCRIPTION="The PEAR Exception base class"
+HOMEPAGE="https://pear.php.net/package/PEAR_Exception"
+SRC_URI="http://download.pear.php.net/package/${MY_P}.tgz"
+LICENSE="BSD-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~ppc ~ppc64 ~s390 ~sparc ~x86"
+IUSE="test"
+RESTRICT="!test? ( test )"
+RDEPEND="dev-lang/php:*
+	!<=dev-php/PEAR-PEAR-1.10.3-r1"
+DEPEND="test? ( ${RDEPEND} dev-php/phpunit )"
+S="${WORKDIR}/${MY_P}"
+
+src_install() {
+	insinto /usr/share/php
+	doins -r PEAR
+}
+
+src_test() {
+	phpunit --do-not-cache-result tests || die "test suite failed"
+}


             reply	other threads:[~2021-03-22 12:58 UTC|newest]

Thread overview: 16+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2021-03-22 12:58 Brian Evans [this message]
  -- strict thread matches above, loose matches on Subject: below --
2023-08-26 15:09 [gentoo-commits] repo/gentoo:master commit in: dev-php/PEAR-Exception/ Andreas Sturmlechner
2023-07-04 10:13 Sam James
2021-03-22 12:58 Brian Evans
2018-01-26 19:32 Michael Orlitzky
2018-01-26 19:32 Michael Orlitzky
2018-01-22  7:45 Sergei Trofimovich
2018-01-21 10:28 Sergei Trofimovich
2018-01-01 20:09 Sergei Trofimovich
2017-11-05 23:54 Michael Orlitzky
2017-08-12 22:40 Sergei Trofimovich
2017-08-10 22:19 Sergei Trofimovich
2017-07-01 10:26 Sergei Trofimovich
2017-04-15 12:24 Jeroen Roovers
2017-04-05 13:23 Michael Weber
2017-03-21  3:42 Michael Orlitzky

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1616417834.353d2a156672c94d63678eb7523cdc766897fa8c.grknight@gentoo \
    --to=grknight@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox